# Asterisk Project : Asterisk 12 Function_SYSINFO

Added by wikibot , edited by wikibot on Aug 29, 2013

# SYSINFO()

### Synopsis

Returns system information specified by parameter.

### Description

Returns information from a given parameter.

### Syntax

    SYSINFO(parameter)

##### Arguments

- `parameter`
  - `loadavg` - System load average from past minute.
  - `numcalls` - Number of active calls currently in progress.
  - `uptime` - System uptime in hours.

    Note

    This parameter is dependant upon operating system.

  - `totalram` - Total usable main memory size in KiB.

    Note

    This parameter is dependant upon operating system.

  - `freeram` - Available memory size in KiB.

    Note

    This parameter is dependant upon operating system.

  - `bufferram` - Memory used by buffers in KiB.

    Note

    This parameter is dependant upon operating system.

  - `totalswap` - Total swap space still available in KiB.

    Note

    This parameter is dependant upon operating system.

  - `freeswap` - Free swap space still available in KiB.

    Note

    This parameter is dependant upon operating system.

  - `numprocs` - Number of current processes.

    Note

    This parameter is dependant upon operating system.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown